@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap");

:root {
  --primary-color: #f8997d;
  --primary-color-dark: #ad336d;
  --secondary-color: #04091d;
  --secondary-color-light: #0f1221;
  --secondary-color-dark: #000000;
  --text-light: #94a3b8;
  --white: #ffffff;
  --max-width: 1200px;
  --gradient: linear-gradient(
    to right,
    var(--primary-color-dark),
    var(--primary-color)
  );
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

.section__container {
  max-width: var(--max-width);
  margin: auto;
  padding: 5rem 1rem;
}

.section__header {
  font-size: 2.5rem;
  font-weight: 600;
  text-align: center;
}

.section__subheader {
  margin-bottom: 10px;
  font-size: 1.2rem;
  text-align: center;
}

.section__description {
  max-width: 600px;
  margin-top: 1rem;
  margin-inline: auto;
  color: var(--text-light);
  text-align: center;
}

.btn {
  padding: 0.5rem 1.5rem;
  outline: none;
  border: none;
  font-size: 1rem;
  color: var(--white);
  font-weight: 700;
  background-image: var(--gradient);
  border-radius: 5rem;
  cursor: pointer;
}

img {
  display: flex;
  width: 100%;
}

a {
  text-decoration: none;
}

html,
body {
  scroll-behavior: smooth;
}

body {
  font-family: "Poppins", sans-serif;
  color: var(--white);
  background-color: var(--secondary-color-dark);
}

.header {
  position: relative;
  background-color: var(--secondary-color-dark);
}

.header__socials {
  display: none;
  position:fixed;
  right: 0;
  top: 60%;
  transform: translateY(-50%);
  flex-direction: column;
  gap: 1rem;
  z-index: 1;
}

.header__socials a {
  padding: 5px 10px;
  font-size: 1.2rem;
  color: var(--secondary-color);
  background-image: var(--gradient);
}

.header__socials a:hover{
  transform: translateY(-.25rem);
  transition: 1.5s;
}

nav {
  position: fixed;
  isolation: isolate;
  width: 100%;
  z-index: 9;
}

.nav__bar {
  position: relative;
  isolation: isolate;
  max-width: var(--max-width);
  margin-inline: auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;
}

.nav__header {
  padding: 1rem;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: var(--secondary-color);
}

.nav__logo a {
  font-size: 1.5rem;
  font-weight: 700;
  color: var(--white);
}

.nav__logo a span {
  background-image: var(--gradient);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent; 
  -moz-background-clip: text;
  -moz-text-fill-color: transparent;
}

.nav__links {
  position: absolute;
  top: 68px;
  left: 0;
  width: 100%;
  padding: 2rem;
  font-weight: 700;
  font-size: 1rem;
  list-style: none;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 2rem;
  transform: translateY(-100%);
  background-color: var(--secondary-color-dark);
  color: var(--white);
  transition: 0.5s;
  z-index: -1;
}

.nav__links.open {
  transform: translateY(0);
}

.link a {
  transition: 0.3s;
  color: var(--white);
}

.link.btn a {
  color: var(--white) !important;
}

.link a:hover {
  color: var(--primary-color-dark);
}

.nav__menu__btn {
  font-size: 1.5rem;
  cursor: pointer;
}

.header__container {
  padding-top: 10rem;
  display: grid;
  gap: 4rem;
}

.header__image img {
  max-width: 400px;
  margin: auto;
}

.header__content {
  text-align: center;
}

.header__content h1 {
  margin-bottom: 1rem;
  font-size: 3rem;
  font-weight: 600;
  line-height: 3.5rem;
}

.wave {
  animation-name: wave-animation;
  animation-duration: 2.5s;
  animation-iteration-count: infinite;
  transform-origin: 70% 70%;
  display: inline-block;
}

@keyframes wave-animation {
  0% {
    transform: rotate(0.0deg)
  }

  10% {
    transform: rotate(14.0deg)
  }

  20% {
    transform: rotate(-8.0deg)
  }

  30% {
    transform: rotate(14.0deg)
  }

  40% {
    transform: rotate(-4.0deg)
  }

  50% {
    transform: rotate(10.0deg)
  }

  60% {
    transform: rotate(0.0deg)
  }

  100% {
    transform: rotate(0.0deg)
  }
}

.home__subtitle {
  font-size: 1.5rem;
  color: var(--white);
  font-weight: 700;
  margin-bottom: 20px;
}

.header__content p {
  margin-bottom: 2rem;
  color: var(--text-light);
}

.about__container {
  display: grid;
  gap: 4rem;
}

.about__image img {
  max-width: 450px;
  margin: auto;
  border-radius: 10px;
}

.about__content .section__header {
  margin-bottom: 1rem;
  text-align: left;
}

.about__content p {
  margin-bottom: 2rem;
  color: var(--text-light);
}

.about__btns {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.about__btns .download__btn {
  padding: 0.5rem 1.5rem;
  font-size: 1rem;
  border-radius: 5rem;
}

.about__btns a {
  padding: 3px 8px;
  font-size: 1.25rem;
  font-weight: 600;
  color: var(--secondary-color);
  background-image: var(--gradient);
  border-radius: 100%;
}

.about__btns .icon:hover{
  transform: translateY(-1.25rem);
  transition: 1.5s;
}


.skills__container {
  text-align: center;
  margin-top: 0px;
}

.skills__header {
  font-size: 24px;
  font-weight: bold;
}

.skills__columns {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
  margin-top: 20px;
}

.skills__column {
  width: 45%;
}

.skill {
  display: flex;
  flex-direction: column;
  align-items: center; 
  margin: 20px 0;
}

.skill__name {
  font-weight: bold;
}

.skill__bar {
  width: 100%; 
  max-width: 300px; 
  height: 20px;
  background-color: #f0f0f0;
  border-radius: 5px;
  position: relative;
}

.skill__level {
  width: 100%;
  height: 100%;
  background-color: var(--primary-color);
  border-radius: 5px;
}

.skill__level1 {
  width: 100%; 
  height: 100%;
  background-color: var(--primary-color-dark);
  border-radius: 5px;
}


.project__header {
  margin-bottom: 4rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: column;
  gap: 2rem;
}

.project__nav {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  row-gap: 2rem;
}

.project__btn {
  color: var(--white);
  background-image: none;
  background-color: transparent;
}

.mixitup-control-active {
  color: var(--secondary-color);
  background-image: var(--gradient);
}

.project__grid {
  display: grid;
  gap: 1rem;
}

.project__card img {
  border-radius: 5px;
  cursor: pointer;
}

.service__grid {
  margin-top: 4rem;
  display: grid;
  gap: 4rem;
}

.service__card {
  position: relative;
  padding: 2rem;
  padding-top: 3rem;
  text-align: center;
  background-color: var(--secondary-color-light);
  border-bottom: 2px solid transparent;
  border-radius: 5px;
  transition: 0.3s;
}

.service__card:hover {
  border-color: var(--primary-color-dark);
}

.service__card span {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 4px 10px;
  font-size: 2rem;
  background-color: var(--secondary-color-light);
  border-radius: 2px;
  transition: 0.3s;
}

.service__card:hover span {
  color: var(--secondary-color);
  background-image: var(--gradient);
}

.service__card h4 {
  margin-bottom: 1rem;
  font-size: 1.2rem;
  font-weight: 600;
}

.service__card p {
  color: var(--text-light);
}

.swiper {
  margin-top: 4rem;
  padding-bottom: 4rem;
  width: 100%;
}

.swiper-slide {
  padding-block: 2rem;
  background-color: var(--secondary-color-light);
}

.swiper-pagination-bullet-active {
  background-color: var(--primary-color-dark);
}

.client__card {
  padding: 2rem 1rem;
  max-width: 750px;
  margin-inline: auto;
  display: flex;
  flex-direction: column;
  gap: 2rem;
  border-radius: 10px;
  text-align: center;
  background-color: var(--secondary-color-light);
}

.client__card img {
  max-width: 200px;
  margin: auto;
}

.client__card p {
  margin-bottom: 1rem;
  color: var(--text-light);
}

.client__card h4 {
  margin-bottom: 1rem;
  font-size: 1.2rem;
  font-weight: 400;
  color: var(--primary-color-dark);
}

.client__card h4 span {
  margin-left: 10px;
  font-size: 1rem;
  color: var(--text-light);
}

.contact__form {
  max-width: 600px;
  margin-inline: auto;
  margin-top: 4rem;
  display: grid;
  gap: 1rem;
}

.contact__form .input__row {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.contact__form input {
  width: 100%;
  padding: 1rem;
  font-size: 1rem;
  color: var(--white);
  background-color: transparent;
  outline: none;
  border: none;
  border-bottom: 2px solid var(--primary-color-dark);
  border-radius: 5px;
}

.contact__form input::placeholder {
  color: var(--text-light);
}

.contact__form .btn {
  max-width: fit-content;
  margin-inline: auto;
  margin-top: 1rem;
}

.footer {
  background-color: var(--secondary-color-dark);
}

.footer__container {
  display: grid;
  gap: 2rem;
}

.footer__col h5 {
  margin-bottom: 1.5rem;
  font-size: 1.5rem;
  font-weight: 600;
}
.footer__col h5 a{
  color: #ffffff;
}

.footer__col p {
  margin-bottom: 1.5rem;
  color: var(--text-light);
}

.footer__socials {
  display: flex;
  align-items: center;
  gap: 1rem;
  flex-wrap: wrap;
}

.footer__socials a {
  margin-bottom: 1rem;
  padding: 3px 8px;
  font-size: 1.25rem;
  background-color: var(--secondary-color-light);
  border-radius: 100%;
  transition: 0.3s;
  color: white;
}

.footer__socials a:hover {
  color: var(--secondary-color);
  background-image: var(--gradient);
  transform: translateY(-.25rem);
  transition: 1.5s;
}

.footer__col h4 {
  margin-bottom: 1.5rem;
  font-size: 1.2rem;
  font-weight: 500;
}

.footer__links a {
  display: block;
  margin-bottom: 1rem;
  color: var(--text-light);
}

.footer__links a:hover {
  color: var(--primary-color-dark);
}

.footer__bar {
  padding: 1rem;
  font-size: 0.8rem;
  color: var(--text-light);
  text-align: center;
}

@media (width > 480px) {
  .banner__container {
    grid-template-columns: repeat(2, 1fr);
  }

  .project__grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .service__grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 4rem 1rem;
  }

  .blog__grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .contact__form .input__row {
    flex-direction: row;
  }

  .footer__container {
    grid-template-columns: repeat(2, 1fr);
  }

  .footer__col:first-child {
    grid-column: 1/3;
  }
}

@media (width > 768px) {
  .header__socials {
    display: flex;
  }

  nav {
    position: static;
  }

  .nav__bar {
    padding: 2rem 1rem;
  }

  .nav__header {
    padding: 0;
    background-color: transparent;
  }

  .nav__menu__btn {
    display: none;
  }

  .nav__links {
    position: static;
    padding: 0;
    flex-direction: row;
    background-color: transparent;
    transform: none;
  }

  .header__container {
    padding: 0 1rem;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 2rem;
  }

  .header__content {
    padding-block: 5rem;
    text-align: left;
    grid-area: 1/1/2/2;
  }

  .about__container {
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 2rem;
  }

  .banner__container {
    grid-template-columns: repeat(3, 1fr);
  }

  .project__header {
    flex-direction: row;
  }

  .project__grid {
    grid-template-columns: repeat(3, 1fr);
  }

  .service__grid {
    grid-template-columns: repeat(3, 1fr);
  }

  .client__card {
    flex-direction: row;
    align-items: center;
    text-align: left;
  }

  .blog__grid {
    grid-template-columns: repeat(3, 1fr);
  }

  .footer__container {
    grid-template-columns: repeat(4, 1fr);
  }
}

@media (width > 1024px) {
  .banner__container {
    gap: 2rem;
  }

  .project__grid {
    gap: 2rem;
  }

  .service__grid {
    gap: 2rem;
  }

  .blog__grid {
    gap: 2rem;
  }
}

/* Small screens (phones) */
@media screen and (max-width: 768px) {
  
  .header__container {
    padding-top: 5rem;
    display: block;
  }

  .header__content {
    padding-block: 2rem;
    text-align: center;
  }

  .header__content h1 {
    font-size: 2.5rem;
    line-height: 3rem;
  }

  .home__subtitle {
    font-size: 1.2rem;
  }

  .header__image img {
    max-width: 100%;
  }

  .about__container {
    grid-template-columns: 1fr;
  }

  .about__image img {
    max-width: 100%;
  }

  .about__content {
    text-align: center;
  }

  .about__content h4 {
    padding: 1rem;
  }

  .project__grid {
    grid-template-columns: repeat(1, 1fr);
  }

  .service__grid {
    grid-template-columns: repeat(1, 1fr);
    gap: 2rem 0;
  }

  .banner__container {
    grid-template-columns: repeat(1, 1fr);
  }

  .footer__container {
    grid-template-columns: repeat(1, 1fr);
  }

  .footer__col:first-child {
    grid-column: 1/2;
  }
}

@media(max-width:366px){
  .about__btns {
    display: flex;
    flex-wrap: wrap;
}
}